WordPress.org

Make WordPress Core

Opened 3 months ago

Last modified 3 months ago

#51898 new defect (bug)

why do i get error when follow wordpress/wordpress-develop github repository README.md

Reported by: cnspecialcolor Owned by:
Milestone: Awaiting Review Priority: normal
Severity: normal Version:
Component: Build/Test Tools Keywords:
Focuses: Cc:

Description (last modified by SergeyBiryukov)

why do i get error when follow wordpress/wordpress-develop github repository README.md

HERE IS THE wordpress/wordpress-develop github repository README.md

HERE IS THE ERROR WITHOUT sudo:

arthur@Arthur:~/Desktop/wordpress-develop-master$ npm run env:start

WordPress@5.6.0 env:start
node ./tools/local-env/scripts/start.js

Traceback (most recent call last):
  File "urllib3/connectionpool.py", line 677, in urlopen
  File "urllib3/connectionpool.py", line 392, in _make_request
  File "http/client.py", line 1252, in request
  File "http/client.py", line 1298, in _send_request
  File "http/client.py", line 1247, in endheaders
  File "http/client.py", line 1026, in _send_output
  File "http/client.py", line 966, in send
  File "docker/transport/unixconn.py", line 43, in connect
PermissionError: [Errno 13] Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "requests/adapters.py", line 449, in send
  File "urllib3/connectionpool.py", line 727, in urlopen
  File "urllib3/util/retry.py", line 403, in increment
  File "urllib3/packages/six.py", line 734, in reraise
  File "urllib3/connectionpool.py", line 677, in urlopen
  File "urllib3/connectionpool.py", line 392, in _make_request
  File "http/client.py", line 1252, in request
  File "http/client.py", line 1298, in _send_request
  File "http/client.py", line 1247, in endheaders
  File "http/client.py", line 1026, in _send_output
  File "http/client.py", line 966, in send
  File "docker/transport/unixconn.py", line 43, in connect
urllib3.exceptions.ProtocolError: ('Connection aborted.', PermissionError(13, 'Permission         denied'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "docker/api/client.py", line 205, in _retrieve_server_version
  File "docker/api/daemon.py", line 181, in version
  File "docker/utils/decorators.py", line 46, in inner
  File "docker/api/client.py", line 228, in _get
  File "requests/sessions.py", line 543, in get
  File "requests/sessions.py", line 530, in request
  File "requests/sessions.py", line 643, in send
  File "requests/adapters.py", line 498, in send
requests.exceptions.ConnectionError: ('Connection aborted.', PermissionError(13, 'Permission denied'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "bin/docker-compose", line 3, in <module>
  File "compose/cli/main.py", line 67, in main
  File "compose/cli/main.py", line 123, in perform_command
  File "compose/cli/command.py", line 69, in project_from_options
  File "compose/cli/command.py", line 132, in get_project
  File "compose/cli/docker_client.py", line 43, in get_client
  File "compose/cli/docker_client.py", line 170, in docker_client
  File "docker/api/client.py", line 188, in __init__
  File "docker/api/client.py", line 213, in _retrieve_server_version
docker.errors.DockerException: Error while fetching server API version: ('Connection     aborted.', PermissionError(13, 'Permission denied'))
[9808] Failed to execute script docker-compose
child_process.js:674
throw err;
^

Error: Command failed: docker-compose up -d wordpress-develop
at checkExecSyncError (child_process.js:635:11)
at execSync (child_process.js:671:15)
at Object.<anonymous> (/home/arthur/Desktop/wordpress-develop-master/tools/local->env/scripts/start.js:8:1)
at Module._compile (internal/modules/cjs/loader.js:1015:30)
at Object.Module._extensions..js (internal/modules/cjs/loader.js:1035:10)
at Module.load (internal/modules/cjs/loader.js:879:32)
at Function.Module._load (internal/modules/cjs/loader.js:724:14)
at Function.executeUserEntryPoint [as runMain] (internal/modules/run_main.js:60:12)
at internal/main/run_main_module.js:17:47 {
  status: 255,
  signal: null,
  output: [ null, null, null ],
  pid: 9806,
  stdout: null,
 stderr: null
}
npm ERR! code 1
npm ERR! path /home/arthur/Desktop/wordpress-develop-master
npm ERR! command failed
npm ERR! command sh -c node ./tools/local-env/scripts/start.js
npm ERR! A complete log of this run can be found in:
npm ERR!     /home/arthur/.npm/_logs/2020-11-25T03_56_37_680Z-debug.log
arthur@Arthur:~/Desktop/wordpress-develop-master$ 

HERE IS THE ERROR WITH sudo:

arthur@Arthur:~/Desktop$ cd wordpress-develop-master
arthur@Arthur:~/Desktop/wordpress-develop-master$ sudo npm run env:start
[sudo] password for arthur: 

> WordPress@5.6.0 env:start
> node ./tools/local-env/scripts/start.js

Traceback (most recent call last):
  File "urllib3/connectionpool.py", line 677, in urlopen
  File "urllib3/connectionpool.py", line 392, in _make_request
  File "http/client.py", line 1252, in request
  File "http/client.py", line 1298, in _send_request
  File "http/client.py", line 1247, in endheaders
  File "http/client.py", line 1026, in _send_output
  File "http/client.py", line 966, in send
  File "docker/transport/unixconn.py", line 43, in connect
PermissionError: [Errno 13] Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "requests/adapters.py", line 449, in send
  File "urllib3/connectionpool.py", line 727, in urlopen
  File "urllib3/util/retry.py", line 403, in increment
  File "urllib3/packages/six.py", line 734, in reraise
  File "urllib3/connectionpool.py", line 677, in urlopen
  File "urllib3/connectionpool.py", line 392, in _make_request
  File "http/client.py", line 1252, in request
  File "http/client.py", line 1298, in _send_request
  File "http/client.py", line 1247, in endheaders
  File "http/client.py", line 1026, in _send_output
  File "http/client.py", line 966, in send
  File "docker/transport/unixconn.py", line 43, in connect
urllib3.exceptions.ProtocolError: ('Connection aborted.', PermissionError(13, 'Permission denied'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "docker/api/client.py", line 205, in _retrieve_server_version
  File "docker/api/daemon.py", line 181, in version
  File "docker/utils/decorators.py", line 46, in inner
  File "docker/api/client.py", line 228, in _get
  File "requests/sessions.py", line 543, in get
  File "requests/sessions.py", line 530, in request
  File "requests/sessions.py", line 643, in send
  File "requests/adapters.py", line 498, in send
requests.exceptions.ConnectionError: ('Connection aborted.', PermissionError(13, 'Permission denied'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "bin/docker-compose", line 3, in <module>
  File "compose/cli/main.py", line 67, in main
  File "compose/cli/main.py", line 123, in perform_command
  File "compose/cli/command.py", line 69, in project_from_options
  File "compose/cli/command.py", line 132, in get_project
  File "compose/cli/docker_client.py", line 43, in get_client
  File "compose/cli/docker_client.py", line 170, in docker_client
  File "docker/api/client.py", line 188, in __init__
  File "docker/api/client.py", line 213, in _retrieve_server_version
docker.errors.DockerException: Error while fetching server API version: ('Connection aborted.', PermissionError(13, 'Permission denied'))
[804114] Failed to execute script docker-compose
child_process.js:674
    throw err;
    ^

Error: Command failed: docker-compose up -d wordpress-develop
    at checkExecSyncError (child_process.js:635:11)
    at execSync (child_process.js:671:15)
    at Object.<anonymous> (/home/arthur/Desktop/wordpress-develop-master/tools/local-env/scripts/start.js:8:1)
    at Module._compile (internal/modules/cjs/loader.js:1015:30)
    at Object.Module._extensions..js (internal/modules/cjs/loader.js:1035:10)
    at Module.load (internal/modules/cjs/loader.js:879:32)
    at Function.Module._load (internal/modules/cjs/loader.js:724:14)
    at Function.executeUserEntryPoint [as runMain] (internal/modules/run_main.js:60:12)
    at internal/main/run_main_module.js:17:47 {
  status: 255,
  signal: null,
  output: [ null, null, null ],
  pid: 804112,
  stdout: null,
  stderr: null
}
npm ERR! code 1
npm ERR! path /home/arthur/Desktop/wordpress-develop-master
npm ERR! command failed
npm ERR! command sh -c node ./tools/local-env/scripts/start.js

npm ERR! A complete log of this run can be found in:
npm ERR!     /root/.npm/_logs/2020-11-30T01_42_06_367Z-debug.log
arthur@Arthur:~/Desktop/wordpress-develop-master$ 
my question is: what have done wrong ? here is the docker and npm version on my local machine, i am on kali linux

arthur@Arthur:~/Desktop/wordpress-develop-master$ docker --version
Docker version 19.03.13, build 4484c46
arthur@Arthur:~/Desktop/wordpress-develop-master$ npm -v
7.0.3
arthur@Arthur:~/Desktop/wordpress-develop-master$ 

Change History (2)

#1 follow-up: @SergeyBiryukov
3 months ago

  • Component changed from General to Build/Test Tools
  • Description modified (diff)

Hi there, welcome to WordPress Trac! Thanks for the report.

I've edited the description to make it a bit more readable.

#2 in reply to: ↑ 1 @cnspecialcolor
3 months ago

THANKS !

Last edited 3 months ago by cnspecialcolor (previous) (diff)
Note: See TracTickets for help on using tickets.